> ## Documentation Index
> Fetch the complete documentation index at: https://docs.e-invoice.be/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Attachments

> Get all attachments for an invoice or credit note



## OpenAPI

````yaml /openapi.json get /api/documents/{document_id}/attachments
openapi: 3.1.0
info:
  title: e-invoice.be Peppol Access Point API
  version: 1.1.0
  x-logo:
    url: https://e-invoice.be/einvoice.svg
servers:
  - url: https://api.e-invoice.be
    description: Production
security: []
paths:
  /api/documents/{document_id}/attachments:
    get:
      tags:
        - Documents
      summary: Get Document Attachments
      description: Get all attachments for an invoice or credit note
      operationId: get_document_attachments
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentAttachment'
                title: Response Get Document Attachments
        '401':
          description: 'Unauthorized: API key is missing, invalid, or inactive'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: 'Not Found: Document with the specified ID doesn''t exist'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: 'Unprocessable Entity: Invalid response data'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 'Internal Server Error: Unexpected server error'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentAttachment:
      properties:
        file_name:
          type: string
          title: File Name
        file_type:
          type: string
          title: File Type
          default: application/pdf
        file_size:
          type: integer
          title: File Size
          default: 0
        id:
          type: string
          title: Id
        file_url:
          anyOf:
            - type: string
            - type: 'null'
          title: File Url
      type: object
      required:
        - file_name
        - id
      title: DocumentAttachment
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error response model.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````